<div class="flex-row m-b-10">
  @if (edit) {
    <div class="flex" [attr.data-test-toolbar-id]="'ace-toolbar'">
      <button
        nz-button
        nzType="primary"
        [nzSize]="'small'"
        class="m-r-5"
        (click)="confirm()"
        [attr.data-test-toolbar-button-id]="'ace-confirm'"
      >
        <i nz-icon [nzType]="'check'"></i>
        {{ 'sqtm-core.generic.label.confirm' | translate }}
      </button>
      <button
        nz-button
        nzType="default"
        [nzSize]="'small'"
        class="m-r-5"
        (click)="cancel()"
      >
        <i
          nz-icon
          [nzType]="'close'"
          [attr.data-test-toolbar-button-id]="'ace-cancel'"
        ></i>
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
      <i
        nz-icon
        nzTheme="fill"
        nzType="sqtm-core-test-case:check_syntax"
        class="action-icon-size current-workspace-button m-t-auto m-b-auto"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.test-case-workspace.gherkin.check-syntax' | translate
        "
        (click)="checkSyntax()"
        [attr.data-test-toolbar-button-id]="'ace-check'"
      >
      </i>
    </div>
  }
  <i
    nz-icon
    nzTheme="fill"
    nzType="sqtm-core-generic:help"
    class="action-icon-size current-workspace-button m-l-auto"
    nz-tooltip
    [nzTooltipTitle]="'sqtm-core.generic.label.help' | translate"
    [attr.data-test-button-id]="'ace-help'"
    (click)="toggleShowHelp()"
  >
  </i>
</div>
<div
  [attr.data-test-element-id]="'ace-editor'"
  (click)="toggleToEditMode()"
  class="code-editor"
  #codeEditor
></div>
